build yocto 2.6 on Ubuntu 20.04


Jacob Avraham
 

Hi,
Has anyone tried to build yocto 2.6 on Ubuntu 20.04?
I know it's not supported, but it's a major task for me to upgrade to yocto 3.x.
I tried it myself and it fails on building qemu-native.
I wonder if anyone worked around this.

Thanks,
Jacob


Alexander Kanavin
 

I think the best way out for you is to set up a container with a supported older distribution. Usually you need an older gcc version from the host machine, so the container will have that.

Alex


On Wed, 26 Jan 2022 at 17:43, Jacob Avraham <jacob.avraham@...> wrote:
Hi,
Has anyone tried to build yocto 2.6 on Ubuntu 20.04?
I know it's not supported, but it's a major task for me to upgrade to yocto 3.x.
I tried it myself and it fails on building qemu-native.
I wonder if anyone worked around this.

Thanks,
Jacob





Bill Plunkett
 

It's been a while, but I was able to build yocto sumo (2.5) using https://github.com/crops/poky-container


On Wed, Jan 26, 2022 at 9:51 AM Alexander Kanavin <alex.kanavin@...> wrote:
I think the best way out for you is to set up a container with a supported older distribution. Usually you need an older gcc version from the host machine, so the container will have that.

Alex

On Wed, 26 Jan 2022 at 17:43, Jacob Avraham <jacob.avraham@...> wrote:
Hi,
Has anyone tried to build yocto 2.6 on Ubuntu 20.04?
I know it's not supported, but it's a major task for me to upgrade to yocto 3.x.
I tried it myself and it fails on building qemu-native.
I wonder if anyone worked around this.

Thanks,
Jacob